# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-%{crate}
Version:        1.1.8
Release:        %autorelease
Summary:        Low-level bindings to the system libz library (also known as zlib)

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libz-sys
Source:         %{crates_source}
# Initial patched metadata
# * No MSVC
# * Remove asm/static/zlib-ng features
Patch0:         libz-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Low-level bindings to the system libz library (also known as zlib).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stock-zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stock-zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "stock-zlib" feature of the "%{crate}" crate.

%files       -n %{name}+stock-zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove bundled zlib and zlib-ng sources
rm -r src/zlib/
rm -r src/zlib-ng/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(zlib)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
